/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package pwrace2;
import java.awt.*;
import javax.swing.*;
import java.util.ArrayList;

/**
 *
 * @author Greg
 */
public class FinalistsDialog extends JDialog{
    public FinalistsDialog (JFrame parent, ArrayList <PollEntry> finalists, boolean useCarColors)  {
        super(parent, "Finals", true);
        JPanel listPanel = new JPanel();
        listPanel.setLayout(new GridBagLayout());
        GridBagConstraints c = new GridBagConstraints();
        Font numFont = new Font("Dialog", Font.BOLD, 14);
        Font drvFont = numFont.deriveFont(Font.PLAIN);
        JTextField carNum;
        JLabel driver;
        c.gridwidth = 2;
        c.insets = new Insets(3,3,3,3);
        c.anchor = GridBagConstraints.LINE_START;
        listPanel.add(new JLabel("The Finalsists Are"), c);
        c.gridwidth = 1;

        for(int i=0; i<finalists.size(); i++)  {
            carNum = new JTextField(3);
            carNum.setEditable(false);
            carNum.setHorizontalAlignment(JTextField.CENTER);
            carNum.setText(""+finalists.get(i).carNumber);
            carNum.setFont(numFont);
            if (useCarColors)  {
                carNum.setBackground(finalists.get(i).backgroundColor);
                carNum.setForeground(finalists.get(i).foregroundColor);
            }
            c.gridx=0;
            c.gridy = i+1;
            listPanel.add(carNum, c);
            c.gridx = 1;
            driver =new JLabel(finalists.get(i).firstName + " " + finalists.get(i).lastName);
            driver.setFont(drvFont);
            listPanel.add(driver, c);
        }
        add(listPanel);
        pack();
        setVisible(true);
    }

}
