/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package pwrace2;
import java.awt.*;
import javax.swing.*;
import java.util.ArrayList;

/**
 *
 * @author Greg
 */
public class WinningDialog extends JDialog{
    public WinningDialog (JFrame parent, ArrayList <PollEntry> winners, boolean useCarColors)  {
        super(parent, "Finals", true);
        JPanel listPanel = new JPanel();
        listPanel.setLayout(new GridBagLayout());
        GridBagConstraints c = new GridBagConstraints();
        Font numFont = new Font("Dialog", Font.BOLD, 18);
        JTextField carNum;
        JLabel driver;
        JLabel place[] = new JLabel[3];
        place[0] = new JLabel("1st: ");
        place[0].setFont(numFont);
        place[1] = new JLabel("2nd: ");
        place[1].setFont(numFont);
        place[2] = new JLabel("3rd: ");
        place[2].setFont(numFont);

        c.gridwidth = 3;
        c.insets = new Insets(3,3,3,3);
        c.anchor = GridBagConstraints.LINE_START;
        listPanel.add(new JLabel("The Winners Are"), c);
        c.gridwidth = 1;

        for(int i=0; i<winners.size(); i++)  {
            carNum = new JTextField(3);
            carNum.setEditable(false);
            carNum.setHorizontalAlignment(JTextField.CENTER);
            carNum.setText(""+winners.get(i).carNumber);
            carNum.setFont(numFont);
            if (useCarColors)  {
                carNum.setBackground(winners.get(i).backgroundColor);
                carNum.setForeground(winners.get(i).foregroundColor);
            }
            c.gridx = 0;
            c.gridy = i+1;
            listPanel.add(place[i], c);
            c.gridx = 1;
            listPanel.add(carNum, c);
            c.gridx = 2;
            driver =new JLabel(winners.get(i).firstName + " " + winners.get(i).lastName);
            driver.setFont(numFont);
            listPanel.add(driver, c);
        }
        add(listPanel);
        pack();
        setVisible(true);
    }
}
